

<ul class="nav nav-tabs" role="tablist">
    <li class="nav-item">
        <a class="nav-link active" role="tab" data-toggle="tab" href="#tabOverall">Overall</a>
    </li>
    <%for (i = 0; locals.qs && i < qs.length; ++i) { %>
    <li class="nav-item">
        <a class="nav-link" role="tab" data-toggle="tab" href="#tab<%=i%>">Q<%=(i+1)%></a>
    </li>
    <% } %>
</ul>

<div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="tabOverall">
        <div class="container-fluid">
            <div class="row mt-4">
                <div class="col-md-6">
                    <table id="tblOverall" class="table table-sm table-hover edgar">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>First name</th>
                                <th>Last name</th>
                                <th>Score</th>
                                <th>Score %</th>
                            </tr>
                        </thead>
                        <tbody>
                            <%for (i = 0; i < rows.length; ++i) {%>
                            <tr>
                                <td>
                                    <%-rows[i].id%>
                                </td>
                                <td>
                                    <%-rows[i].first_name%>
                                </td>
                                <td>
                                    <%-rows[i].last_name%>
                                </td>
                                <td>
                                    <%-rows[i].score%>
                                </td>
                                <td>
                                    <%-rows[i].score_perc%>
                                </td>
                            </tr>
                            <%}%>
                        </tbody>
                    </table>
                </div>
                <div class="col-md-6">
                    <div id="chart" class="chart" style="width: 100%; height:400px;"></div>
                </div>
            </div>
        </div>
    </div>
    <%for (i = 0; locals.qs && i < qs.length; ++i) { %>
    <div role="tabpanel" class="tab-pane" id="tab<%=i%>">
        <div class="container-fluid">
            <div class="row mt-2">
                <div class="col-md-5">
                    <div class="row">
                        <%- qs[i].html %>
                    </div>
                    <% for (var j = 0; qs[i].abc_answers && j < qs[i].abc_html.length; ++j) { %>
                    <div class="row p-2 pr-4 border rounded border-secondary">
                        <div class="col-sm-1">
                            <h3>
                                <div class="aii-answer-badge badge <%- (qs[i].abc_html[j].ordinal == qs[i].correct_answers_permutation) ? "badge-success" : "badge-secondary" %>">
                                    <%= qs[i].abc_html[j].ordinal%>
                                </div>
                            </h3>
                        </div>
                        <div class="col-sm-10">
                            <%- qs[i].abc_html[j].aHtml %>
                        </div>
                        <div class="col-sm-1">
                            <h3>
                                <div class="aii-answer-badge badge <%- (qs[i].abc_html[j].ordinal == qs[i].correct_answers_permutation) ? "badge-success" : (qs[i].abc_distrib[qs[i].abc_html[j].ordinal] ? "badge-danger" : "badge-secondary" ) %>">
                                    <%= qs[i].abc_distrib[qs[i].abc_html[j].ordinal] ? qs[i].abc_distrib[qs[i].abc_html[j].ordinal]  : 0%>
                                </div>
                            </h3>
                        </div>
                    </div>
                    <% } %>
                </div>
                <div class="col-md-7">
                    <%if (qs[i].type_name === 'Free text') {%>
                        <h4>Answers:</h4>
                        <ul class="list-group">
                        <% for (var k = 0; qs[i].stud_text_answers && k < qs[i].stud_text_answers.length; ++k) { %>
                            <li class="list-group-item d-flex justify-content-between align-items-center"><i>"<%= qs[i].stud_text_answers[k] %>"</i>
                                <span class="badge badge-primary badge-pill pull-right"><small><%= qs[i].stud_text_authors[k] %></small></span>
                            </li>
                        <%}%>
                        </ul>
                    <%} else {%>
                        <div id="chart<%=i%>" class="chart" style="width: 100%; height:400px;"></div>
                    <%}%>
                </div>
            </div>
        </div>
    </div>
    <% } %>
</div>